summaryrefslogtreecommitdiffstats
path: root/dns
diff options
context:
space:
mode:
authordinoex <dinoex@FreeBSD.org>2005-03-16 21:32:49 +0000
committerdinoex <dinoex@FreeBSD.org>2005-03-16 21:32:49 +0000
commit4ea8c8ce630512452418706a32fcd468d95dea58 (patch)
tree28bffd6d14bd516f323efb2cdb36250397a8cd15 /dns
parente9bf72b5bde297dbd472835e6cd7c06d17a12539 (diff)
downloadFreeBSD-ports-4ea8c8ce630512452418706a32fcd468d95dea58.zip
FreeBSD-ports-4ea8c8ce630512452418706a32fcd468d95dea58.tar.gz
- update to bind9-9.3.1
- new options: WITH_BIND9_THREADS, WITH_DLZ_OLD
Diffstat (limited to 'dns')
-rw-r--r--dns/bind9-dlz/Makefile51
-rw-r--r--dns/bind9-dlz/distinfo4
-rw-r--r--dns/bind9-dlz/files/configure.bind9-dlz10
-rw-r--r--dns/bind9-dlz/files/db42-bind922.patch (renamed from dns/bind9-dlz/files/patch-configure)0
-rw-r--r--dns/bind9-dlz/files/db42-bind931.patch41
-rw-r--r--dns/bind9-dlz/pkg-plist81
6 files changed, 140 insertions, 47 deletions
diff --git a/dns/bind9-dlz/Makefile b/dns/bind9-dlz/Makefile
index 50b990a..3813b44 100644
--- a/dns/bind9-dlz/Makefile
+++ b/dns/bind9-dlz/Makefile
@@ -13,12 +13,11 @@ MASTER_SITES= ${MASTER_SITE_ISC} \
${MASTER_SITES_DLZ:S/$/:dlz/}
MASTER_SITE_SUBDIR= bind9/${ISCVERSION} bind-dlz/:dlz
PKGNAMESUFFIX?= -dlz${POSTGRESQL_SUFFIX}${MYSQL_SUFFIX}${BERKLEYDB_SUFFIX}${LDAP_SUFFIX}${PKGNAMESUFFIX2}
-DISTFILES= bind-${ISCVERSION}.tar.gz \
- DLZ-${DLZVERSION}${EXTRACT_SUFX}:dlz
+DISTFILES= bind-${ISCVERSION}.tar.gz
-PATCH_SITES= ${MASTER_SITES}
+PATCH_SITES= ${MASTER_SITES} http://projects.navynet.it/DLZ/:it
PATCH_SITE_SUBDIR= bind9/${ISCVERSION}
-PATCHFILES= patch.9.2.2-P1
+PATCHFILES=
PATCH_DIST_STRIP= -p1
MAINTAINER= dinoex@FreeBSD.org
@@ -27,12 +26,12 @@ COMMENT= The Berkeley Internet Name Daemon, with DLZ extensions
CONFLICTS?= bind-8.* bind84-8.* bind9-9.* bind9-sdb-mysql-* host-* skalibs-*
MASTER_SITES_DLZ= ${MASTER_SITE_SOURCEFORGE}
-ISCVERSION= 9.2.2
DLZVERSION= 0.7.0
USE_SUBMAKE= yes
GNU_CONFIGURE= yes
USE_REINPLACE= yes
-CONFIGURE_ARGS= --localstatedir=/var --disable-linux-caps
+CONFIGURE_ARGS= --localstatedir=/var --disable-linux-caps --with-openssl \
+ --with-randomdev=/dev/random
PATCH_STRIP= -p1
# use user config if possible
@@ -41,12 +40,25 @@ PATCH_STRIP= -p1
.else
.if defined(BATCH)
# default package, can be configured in /etc/make.conf
-BINDDLZ_OPTIONS?= \"OpenSSL\" \"PostgreSQL\" \"FileSystem\"
+BINDDLZ_OPTIONS?= \"Threads\" \"OpenSSL\" \"PostgreSQL\" \"FileSystem\"
.endif
# make INDEX match
NO_DESCRIBE=yes
.endif
+.if defined(WITH_DLZ_OLD)
+ISCVERSION= 9.2.2
+DISTFILES+= DLZ-${DLZVERSION}${EXTRACT_SUFX}:dlz
+PATCHFILES+= patch.9.2.2-P1
+PLIST_SUB+= BIND922="" BIND931="@comment "
+EXTRA_PATCHES+= ${WRKDIR}/dlz.patch ${FILESDIR}/db42-bind922.patch
+.else
+ISCVERSION= 9.3.1
+PATCHFILES+= ctrix_dlz_${ISCVERSION}-1.patch.gz:it
+EXTRA_PATCHES+= ${FILESDIR}/db42-bind931.patch
+PLIST_SUB+= BIND931="" BIND922="@comment "
+.endif
+
.if defined(WITH_POSTGRESQL_DRIVER)
.if !defined(WITHOUT_POSTGRESQL_DRIVER)
POSTGRESQL_SUFFIX= +postgres
@@ -99,7 +111,6 @@ CONFIGURE_ARGS+= --with-openssl=${OPENSSLBASE}
.endif
WRKSRC= ${WRKDIR}/bind-${ISCVERSION}
-EXTRA_PATCHES= ${WRKDIR}/dlz.patch
PLIST= ${WRKDIR}/.PLIST.more
PLIST_SUB+= EXTRA_DOCSDIR=${EXTRA_DOCSDIR}
@@ -148,10 +159,18 @@ MAN3= lwres.3 lwres_addr_parse.3 lwres_buffer.3 lwres_buffer_add.3 \
lwres_noopresponse_parse.3 lwres_noopresponse_render.3 \
lwres_packet.3 lwres_resutil.3 lwres_sethostent.3 \
lwres_sethostent_r.3 lwres_string_parse.3
+.if defined(WITH_DLZ_OLD)
+MAN1= dig.1 host.1
MAN5= rndc.conf.5
MAN8= dnssec-keygen.8 dnssec-makekeyset.8 dnssec-signkey.8 dnssec-signzone.8 \
lwresd.8 named-checkconf.8 named-checkzone.8 named.8 nsupdate.8 \
rndc-confgen.8 rndc.8
+.else
+MAN1= dig.1 host.1 nslookup.1
+MAN5= named.conf.5 rndc.conf.5
+MAN8= dnssec-keygen.8 dnssec-signzone.8 lwresd.8 named-checkconf.8 \
+ named-checkzone.8 named.8 nsupdate.8 rndc-confgen.8 rndc.8
+.endif
pre-fetch:
@ ${SETENV} ${SCRIPTS_ENV} ${SH} ${FILESDIR}/configure.bind9-dlz
@@ -173,12 +192,14 @@ pre-configure:
pre-install:
${CAT} ${MASTERDIR}/pkg-plist >${PLIST}
.if !defined(NOPORTDOCS)
+.if defined(WITH_DLZ_OLD)
.for i in ${DOCS}
@${ECHO_CMD} `${BASENAME} ${i}` | \
${SED} -e "s=^=%%EXTRA_DOCSDIR%%/=" >>${PLIST}
.endfor
@${ECHO_CMD} "@dirrm %%EXTRA_DOCSDIR%%" >>${PLIST}
.endif
+.endif
post-install:
${INSTALL_DATA} ${WRKSRC}/bin/rndc/rndc.conf \
@@ -189,21 +210,23 @@ post-install:
${INSTALL_DATA} ${WRKSRC}/doc/misc/[a-z]* ${DOCSDIR}/misc
${CP} ${WRKSRC}/CHANGES ${WRKSRC}/COPYRIGHT ${WRKSRC}/FAQ \
${WRKSRC}/README ${DOCSDIR}/
+.if defined(WITH_DLZ_OLD)
${MKDIR} ${PREFIX}/${EXTRA_DOCSDIR}
@cd ${WRKDIR} && ${INSTALL_DATA} ${DOCS} ${PREFIX}/${EXTRA_DOCSDIR}/
.endif
+.endif
-post-clean:
- @ ${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
-
-.include <bsd.port.pre.mk>
-
-.if ${OSVERSION} > 500030
+.if defined(WITH_BIND9_THREADS)
CONFIGURE_ARGS+= --enable-threads
.else
CONFIGURE_ARGS+= --disable-threads
.endif
+post-clean:
+ @ ${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
+
+.include <bsd.port.pre.mk>
+
.if defined(NO_DESCRIBE)
describe:
.if defined(BATCH)
diff --git a/dns/bind9-dlz/distinfo b/dns/bind9-dlz/distinfo
index 171bb0d..14810d6 100644
--- a/dns/bind9-dlz/distinfo
+++ b/dns/bind9-dlz/distinfo
@@ -4,3 +4,7 @@ MD5 (DLZ-0.7.0.tar.gz) = 2095ceb0be6f86d6ac7e0990a04d08de
SIZE (DLZ-0.7.0.tar.gz) = 249768
MD5 (patch.9.2.2-P1) = 063edc41c756ffc6a1051d5f1937fa2c
SIZE (patch.9.2.2-P1) = 40087
+MD5 (bind-9.3.1.tar.gz) = 9ff3204eea27184ea0722f37e43fc95d
+SIZE (bind-9.3.1.tar.gz) = 4673603
+MD5 (ctrix_dlz_9.3.1-1.patch.gz) = bdc1edae00952181438947716a53c2b0
+SIZE (ctrix_dlz_9.3.1-1.patch.gz) = 92434
diff --git a/dns/bind9-dlz/files/configure.bind9-dlz b/dns/bind9-dlz/files/configure.bind9-dlz
index ac582c0..af4df88 100644
--- a/dns/bind9-dlz/files/configure.bind9-dlz
+++ b/dns/bind9-dlz/files/configure.bind9-dlz
@@ -11,8 +11,10 @@ if [ "${BINDDLZ_OPTIONS}" ]; then
else
dialog --title "configuration options" --clear \
--checklist "\n\
-Please select desired options:" -1 -1 11 \
+Please select desired options:" -1 -1 13 \
+OldDLZ "use old Bind9.2.2" OFF \
OpenSSL "OpenSSL support" ON \
+Threads "Thread support" ON \
PostgreSQL "PostgreSQL driver" ON \
MySQL323 "MySQL 3.23 driver" OFF \
MySQL40 "MySQL 4.0 driver" OFF \
@@ -47,9 +49,15 @@ exec > ${WRKDIRPREFIX}${CURDIR2}/Makefile.inc
while [ "$1" ]; do
case $1 in
+ \"OldDLZ\")
+ echo WITH_OLD_DLZ=YES
+ ;;
\"OpenSSL\")
echo WITH_OPENSSL=YES
;;
+ \"Threads\")
+ echo WITH_BIND9_THREADS=YES
+ ;;
\"PostgreSQL\")
echo WITH_POSTGRESQL_DRIVER=YES
;;
diff --git a/dns/bind9-dlz/files/patch-configure b/dns/bind9-dlz/files/db42-bind922.patch
index 701ccc6..701ccc6 100644
--- a/dns/bind9-dlz/files/patch-configure
+++ b/dns/bind9-dlz/files/db42-bind922.patch
diff --git a/dns/bind9-dlz/files/db42-bind931.patch b/dns/bind9-dlz/files/db42-bind931.patch
new file mode 100644
index 0000000..cceb663
--- /dev/null
+++ b/dns/bind9-dlz/files/db42-bind931.patch
@@ -0,0 +1,41 @@
+--- configure.orig Wed Mar 16 22:05:10 2005
++++ configure Wed Mar 16 22:11:32 2005
+@@ -4919,7 +4919,7 @@
+ DLZ_BDB_LIB="yes"
+
+ # check other locations for includes.
+- bdb_incdirs="/ /db41/ /db4/ /db/"
++ bdb_incdirs="/ /db42/ /db41/ /db4/ /db/"
+ for d in $bdb_incdirs
+ do
+ if test -f $use_dlz_bdb/include${d}db.h
+@@ -4934,14 +4934,14 @@
+ echo "$as_me:$LINENO: result: not found" >&5
+ echo "${ECHO_T}not found" >&6
+ { { echo "$as_me:$LINENO: error: Berkeley DB header was not found in $use_dlz_bdb/include, \
+-$use_dlz_bdb/include/db41, $use_dlz_bdb/include/db4 or $use_dlz_bdb/include/db" >&5
++$use_dlz_bdb/include/db42, $use_dlz_bdb/include/db41, $use_dlz_bdb/include/db4 or $use_dlz_bdb/include/db" >&5
+ echo "$as_me: error: Berkeley DB header was not found in $use_dlz_bdb/include, \
+-$use_dlz_bdb/include/db41, $use_dlz_bdb/include/db4 or $use_dlz_bdb/include/db" >&2;}
++$use_dlz_bdb/include/db42, $use_dlz_bdb/include/db41, $use_dlz_bdb/include/db4 or $use_dlz_bdb/include/db" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
+
+ # look for libname other than libdb.so
+- bdb_libnames="db41 db-4.1 db"
++ bdb_libnames="db-4.2 db42 db41 db-4.1 db"
+ for d in $bdb_libnames
+ do
+ if test -f $use_dlz_bdb/lib/lib${d}.so
+@@ -4954,9 +4954,9 @@
+ then
+ echo "$as_me:$LINENO: result: not found" >&5
+ echo "${ECHO_T}not found" >&6
+- { { echo "$as_me:$LINENO: error: Berkeley DB library libdb41.so, libdb-4.1.so or libdb.so could not be found \
++ { { echo "$as_me:$LINENO: error: Berkeley DB library libdb-4.2.so, libdb42.so libdb41.so, libdb-4.1.so, or libdb.so could not be found \
+ in $use_dlz_bdb/lib" >&5
+-echo "$as_me: error: Berkeley DB library libdb41.so, libdb-4.1.so or libdb.so could not be found \
++echo "$as_me: error: Berkeley DB library libdb-4.2.so, libdb42.so, libdb41.so, libdb-4.1.so or libdb.so could not be found \
+ in $use_dlz_bdb/lib" >&2;}
+ { (exit 1); exit 1; }; }
+ fi
diff --git a/dns/bind9-dlz/pkg-plist b/dns/bind9-dlz/pkg-plist
index 1ef1ebb..8db3448 100644
--- a/dns/bind9-dlz/pkg-plist
+++ b/dns/bind9-dlz/pkg-plist
@@ -4,7 +4,10 @@ bin/isc-config.sh
bin/nslookup
bin/nsupdate
etc/rndc.conf.sample
-include/dns/a6.h
+%%BIND922%%include/dns/a6.h
+%%BIND931%%include/bind9/check.h
+%%BIND931%%include/bind9/getaddresses.h
+%%BIND931%%include/bind9/version.h
include/dns/acl.h
include/dns/adb.h
include/dns/byaddr.h
@@ -18,6 +21,7 @@ include/dns/dbtable.h
include/dns/diff.h
include/dns/dispatch.h
include/dns/dnssec.h
+%%BIND931%%include/dns/ds.h
include/dns/enumclass.h
include/dns/enumtype.h
include/dns/events.h
@@ -33,8 +37,10 @@ include/dns/masterdump.h
include/dns/message.h
include/dns/name.h
include/dns/ncache.h
-include/dns/nxt.h
+%%BIND931%%include/dns/nsec.h
+%%BIND922%%include/dns/nxt.h
include/dns/peer.h
+%%BIND931%%include/dns/portlist.h
include/dns/rbt.h
include/dns/rcode.h
include/dns/rdata.h
@@ -61,6 +67,7 @@ include/dns/tsig.h
include/dns/ttl.h
include/dns/types.h
include/dns/validator.h
+%%BIND931%%include/dns/version.h
include/dns/view.h
include/dns/xfrin.h
include/dns/zone.h
@@ -107,6 +114,7 @@ include/isc/mutexblock.h
include/isc/net.h
include/isc/netaddr.h
include/isc/netdb.h
+%%BIND931%%include/isc/parseint.h
include/isc/offset.h
include/isc/once.h
include/isc/ondestroy.h
@@ -127,6 +135,7 @@ include/isc/sha1.h
include/isc/sockaddr.h
include/isc/socket.h
include/isc/stdio.h
+%%BIND931%%include/isc/stdlib.h
include/isc/stdtime.h
include/isc/string.h
include/isc/symtab.h
@@ -138,6 +147,7 @@ include/isc/time.h
include/isc/timer.h
include/isc/types.h
include/isc/util.h
+%%BIND931%%include/isc/version.h
include/isccc/alist.h
include/isccc/base64.h
include/isccc/cc.h
@@ -150,9 +160,13 @@ include/isccc/symtab.h
include/isccc/symtype.h
include/isccc/types.h
include/isccc/util.h
+%%BIND931%%include/isccc/version.h
include/isccfg/cfg.h
-include/isccfg/check.h
+%%BIND922%%include/isccfg/check.h
+%%BIND931%%include/isccfg/grammar.h
include/isccfg/log.h
+%%BIND931%%include/isccfg/namedconf.h
+%%BIND931%%include/isccfg/version.h
include/lwres/context.h
include/lwres/int.h
include/lwres/ipv6.h
@@ -165,14 +179,16 @@ include/lwres/net.h
include/lwres/netdb.h
include/lwres/platform.h
include/lwres/result.h
+%%BIND931%%include/lwres/version.h
+%%BIND931%%lib/libbind9.a
lib/libdns.a
lib/libisc.a
lib/libisccc.a
lib/libisccfg.a
lib/liblwres.a
sbin/dnssec-keygen
-sbin/dnssec-makekeyset
-sbin/dnssec-signkey
+%%BIND922%%sbin/dnssec-makekeyset
+%%BIND922%%sbin/dnssec-signkey
sbin/dnssec-signzone
sbin/lwresd
sbin/named
@@ -180,35 +196,36 @@ sbin/named-checkconf
sbin/named-checkzone
sbin/rndc
sbin/rndc-confgen
-%%PORTDOCS%%share/doc/bind9/CHANGES
-%%PORTDOCS%%share/doc/bind9/COPYRIGHT
-%%PORTDOCS%%share/doc/bind9/FAQ
-%%PORTDOCS%%share/doc/bind9/README
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch01.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch02.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch03.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch04.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch05.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch06.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch07.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch08.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.ch09.html
-%%PORTDOCS%%share/doc/bind9/arm/Bv9ARM.html
-%%PORTDOCS%%share/doc/bind9/misc/dnssec
-%%PORTDOCS%%share/doc/bind9/misc/format-options.pl
-%%PORTDOCS%%share/doc/bind9/misc/ipv6
-%%PORTDOCS%%share/doc/bind9/misc/migration
-%%PORTDOCS%%share/doc/bind9/misc/migration-4to9
-%%PORTDOCS%%share/doc/bind9/misc/options
-%%PORTDOCS%%share/doc/bind9/misc/rfc-compliance
-%%PORTDOCS%%share/doc/bind9/misc/roadmap
-%%PORTDOCS%%share/doc/bind9/misc/sdb
-%%PORTDOCS%%@dirrm share/doc/bind9/arm
-%%PORTDOCS%%@dirrm share/doc/bind9/misc
-%%PORTDOCS%%@dirrm share/doc/bind9
+%%PORTDOCS%%%%DOCSDIR%%/CHANGES
+%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
+%%PORTDOCS%%%%DOCSDIR%%/FAQ
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch01.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch02.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch03.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch04.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch05.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch06.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch07.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch08.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.ch09.html
+%%PORTDOCS%%%%DOCSDIR%%/arm/Bv9ARM.html
+%%PORTDOCS%%%%DOCSDIR%%/misc/dnssec
+%%PORTDOCS%%%%DOCSDIR%%/misc/format-options.pl
+%%PORTDOCS%%%%DOCSDIR%%/misc/ipv6
+%%PORTDOCS%%%%DOCSDIR%%/misc/migration
+%%PORTDOCS%%%%DOCSDIR%%/misc/migration-4to9
+%%PORTDOCS%%%%DOCSDIR%%/misc/options
+%%PORTDOCS%%%%DOCSDIR%%/misc/rfc-compliance
+%%PORTDOCS%%%%DOCSDIR%%/misc/roadmap
+%%PORTDOCS%%%%DOCSDIR%%/misc/sdb
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/arm
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/misc
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%BIND931%%@dirrm include/bind9
@dirrm include/dns
@dirrm include/dst
-@dirrm include/isc
+@unexec rmdir %D/include/isc 2>/dev/null || true
@dirrm include/isccc
@dirrm include/isccfg
@dirrm include/lwres
OpenPOWER on IntegriCloud